summaryrefslogtreecommitdiff
path: root/debian/taler-merchant.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/taler-merchant.postinst')
-rw-r--r--debian/taler-merchant.postinst33
1 files changed, 33 insertions, 0 deletions
diff --git a/debian/taler-merchant.postinst b/debian/taler-merchant.postinst
new file mode 100644
index 00000000..5cc1a6ad
--- /dev/null
+++ b/debian/taler-merchant.postinst
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+case "${1}" in
+ configure)
+ db_version 2.0
+
+ db_get taler-merchant/autostart
+ _AUTOSTART="${RET}" # boolean
+
+ db_stop
+
+ # Cleaning
+ echo "All done."
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0